ofxconnect.cpp File Reference

Code for ofxconnect utility. C++ example code. More...

Go to the source code of this file.

## Functions

bool | post (const char *, const char *, const char *)
ostream & | operator<< (ostream &os, const vector< string > &strvect)
int | main (int argc, char *argv[])

## Detailed Description

Code for ofxconnect utility. C++ example code.

the purpose of the ofxconnect utility is to server as example code for ALL functions of libOFX that have to do with creating OFX files.

ofxconnect prints to stdout the created OFX file based on the options you pass it

currently it will only create the statement request file. you can POST this to an OFX server to request a statement from that financial institution for that account.

In the hopefully-not-to-distant future, ofxconnect will also make the connection to the OFX server, post the data, and call ofxdump itself.

Definition in file ofxconnect.cpp.